/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package DataEntryBean;

/**
 *
 * @author 986137
 */
public class LoanProductCreationBean {

    //Create
    private String productname;
    private String productdescription;
    private String productcode;
    private String inttcategory;
    private String intcatdescription;
    private String segmentCode;
    private String glCode;
    private String debitComp1;
    private String debitComp2;
    private String status;
    private String intrate;
    private String inttmethod;
    private String inttfrequency;
    private String inttcapfrequency;
    private String int_app_method;
    private String pen_intt_rt;
    private String pen_intt_method;
    private String pen_inttcapfrequency;
    private String Pen_cond;
    private String minDisbrs;
    private String maxDisbrs;
    private String minRepay;
    private String maxRepay;
    private String minTerm;
    private String maxTerm;
    private String minSancAmt;
    private String maxSancAmt;
    private String effectDate;
    private String penGracePr;
    private String guarantor;
    private String security;
    private String repayFrequency;
    private String loanType;
    private String glCodeInttReceivable;
    private String glCodeInttReceived;
    private String headAccType;

    public String getHeadAccType() {
        return headAccType;
    }

    public void setHeadAccType(String headAccType) {
        this.headAccType = headAccType;
    }
    //Amend
    private String productnameAmend;
    private String productdescriptionAmend;
    private String productcodeAmend;
    private String inttcategoryAmend;
    private String intcatdescriptionAmend;
    private String segmentCodeAmend;
    private String glCodeAmend;
    private String debitComp1Amend;
    private String debitComp2Amend;
    private String statusAmend;
    private String intrateAmend;
    private String inttmethodAmend;
    private String inttfrequencyAmend;
    private String inttcapfrequencyAmend;
    private String int_app_methodAmend;
    private String pen_intt_rtAmend;
    private String pen_intt_methodAmend;
    private String pen_inttcapfrequencyAmend;
    private String minDisbrsAmend;
    private String maxDisbrsAmend;
    private String minRepayAmend;
    private String maxRepayAmend;
    private String minTermAmend;
    private String maxTermAmend;
    private String minSancAmtAmend;
    private String maxSancAmtAmend;
    private String effectDateAmend;
    private String pen_condAmend;
    private String penGracePrAmend;
    private String guarantorAmend;
    private String securityAmend;
    private String repayFrequencyAmend;
    private String loanTypeAmend;
    private String glCodeInttReceivableAmend;
    private String glCodeInttReceivedAmend;
    private String headAccTypeAmend;

    public String getHeadAccTypeAmend() {
        return headAccTypeAmend;
    }

    public void setHeadAccTypeAmend(String headAccTypeAmend) {
        this.headAccTypeAmend = headAccTypeAmend;
    }


    public String getGlCodeInttReceivable() {
        return glCodeInttReceivable;
    }

    public void setGlCodeInttReceivable(String glCodeInttReceivable) {
        this.glCodeInttReceivable = glCodeInttReceivable;
    }

    public String getGlCodeInttReceivableAmend() {
        return glCodeInttReceivableAmend;
    }

    public void setGlCodeInttReceivableAmend(String glCodeInttReceivableAmend) {
        this.glCodeInttReceivableAmend = glCodeInttReceivableAmend;
    }

    public String getGlCodeInttReceived() {
        return glCodeInttReceived;
    }

    public void setGlCodeInttReceived(String glCodeInttReceived) {
        this.glCodeInttReceived = glCodeInttReceived;
    }

    public String getGlCodeInttReceivedAmend() {
        return glCodeInttReceivedAmend;
    }

    public void setGlCodeInttReceivedAmend(String glCodeInttReceivedAmend) {
        this.glCodeInttReceivedAmend = glCodeInttReceivedAmend;
    }



    public String getLoanType() {
        return loanType;
    }

    public void setLoanType(String loanType) {
        this.loanType = loanType;
    }

    public String getLoanTypeAmend() {
        return loanTypeAmend;
    }

    public void setLoanTypeAmend(String loanTypeAmend) {
        this.loanTypeAmend = loanTypeAmend;
    }



    public String getGuarantor() {
        return guarantor;
    }

    public void setGuarantor(String guarantor) {
        this.guarantor = guarantor;
    }

    public String getGuarantorAmend() {
        return guarantorAmend;
    }

    public void setGuarantorAmend(String guarantorAmend) {
        this.guarantorAmend = guarantorAmend;
    }

    public String getSecurity() {
        return security;
    }

    public void setSecurity(String security) {
        this.security = security;
    }

    public String getSecurityAmend() {
        return securityAmend;
    }

    public void setSecurityAmend(String securityAmend) {
        this.securityAmend = securityAmend;
    }

    public String getPenGracePrAmend() {
        return penGracePrAmend;
    }

    public void setPenGracePrAmend(String penGracePrAmend) {
        this.penGracePrAmend = penGracePrAmend;
    }

    public String getPen_condAmend() {
        return pen_condAmend;
    }

    public void setPen_condAmend(String pen_condAmend) {
        this.pen_condAmend = pen_condAmend;
    }
    private String loanPd_id;
    private String intcatSearch;
    private String productcodeSearch;
    private String inttCategoryActivation;

    public String getInttCategoryActivation() {
        return inttCategoryActivation;
    }

    public void setInttCategoryActivation(String inttCategoryActivation) {
        this.inttCategoryActivation = inttCategoryActivation;
    }

    public String getIntcatSearch() {
        return intcatSearch;
    }

    public void setIntcatSearch(String intcatSearch) {
        this.intcatSearch = intcatSearch;
    }

    public String getProductcodeSearch() {
        return productcodeSearch;
    }

    public void setProductcodeSearch(String productcodeSearch) {
        this.productcodeSearch = productcodeSearch;
    }

    public String getLoanPd_id() {
        return loanPd_id;
    }

    public void setLoanPd_id(String loanPd_id) {
        this.loanPd_id = loanPd_id;
    }

    public String getPenGracePr() {
        return penGracePr;
    }

    public void setPenGracePr(String penGracePr) {
        this.penGracePr = penGracePr;
    }

    public String getPen_cond() {
        return Pen_cond;
    }

    public void setPen_cond(String Pen_cond) {
        this.Pen_cond = Pen_cond;
    }

    public String getDebitComp1() {
        return debitComp1;
    }

    public void setDebitComp1(String debitComp1) {
        this.debitComp1 = debitComp1;
    }

    public String getDebitComp2() {
        return debitComp2;
    }

    public void setDebitComp2(String debitComp2) {
        this.debitComp2 = debitComp2;
    }

    public String getEffectDate() {
        return effectDate;
    }

    public void setEffectDate(String effectDate) {
        this.effectDate = effectDate;
    }

    public String getGlCode() {
        return glCode;
    }

    public void setGlCode(String glCode) {
        this.glCode = glCode;
    }

    public String getInt_app_method() {
        return int_app_method;
    }

    public void setInt_app_method(String int_app_method) {
        this.int_app_method = int_app_method;
    }

    public String getIntcatdescription() {
        return intcatdescription;
    }

    public void setIntcatdescription(String intcatdescription) {
        this.intcatdescription = intcatdescription;
    }

    public String getIntrate() {
        return intrate;
    }

    public void setIntrate(String intrate) {
        this.intrate = intrate;
    }

    public String getInttcapfrequency() {
        return inttcapfrequency;
    }

    public void setInttcapfrequency(String inttcapfrequency) {
        this.inttcapfrequency = inttcapfrequency;
    }

    public String getInttcategory() {
        return inttcategory;
    }

    public void setInttcategory(String inttcategory) {
        this.inttcategory = inttcategory;
    }

    public String getInttfrequency() {
        return inttfrequency;
    }

    public void setInttfrequency(String inttfrequency) {
        this.inttfrequency = inttfrequency;
    }

    public String getInttmethod() {
        return inttmethod;
    }

    public void setInttmethod(String inttmethod) {
        this.inttmethod = inttmethod;
    }

    public String getMaxDisbrs() {
        return maxDisbrs;
    }

    public void setMaxDisbrs(String maxDisbrs) {
        this.maxDisbrs = maxDisbrs;
    }

    public String getMaxRepay() {
        return maxRepay;
    }

    public void setMaxRepay(String maxRepay) {
        this.maxRepay = maxRepay;
    }

    public String getMaxSancAmt() {
        return maxSancAmt;
    }

    public void setMaxSancAmt(String maxSancAmt) {
        this.maxSancAmt = maxSancAmt;
    }

    public String getMaxTerm() {
        return maxTerm;
    }

    public void setMaxTerm(String maxTerm) {
        this.maxTerm = maxTerm;
    }

    public String getMinDisbrs() {
        return minDisbrs;
    }

    public void setMinDisbrs(String minDisbrs) {
        this.minDisbrs = minDisbrs;
    }

    public String getMinRepay() {
        return minRepay;
    }

    public void setMinRepay(String minRepay) {
        this.minRepay = minRepay;
    }

    public String getMinSancAmt() {
        return minSancAmt;
    }

    public void setMinSancAmt(String minSancAmt) {
        this.minSancAmt = minSancAmt;
    }

    public String getMinTerm() {
        return minTerm;
    }

    public void setMinTerm(String minTerm) {
        this.minTerm = minTerm;
    }

    public String getPen_intt_method() {
        return pen_intt_method;
    }

    public void setPen_intt_method(String pen_intt_method) {
        this.pen_intt_method = pen_intt_method;
    }

    public String getPen_intt_rt() {
        return pen_intt_rt;
    }

    public void setPen_intt_rt(String pen_intt_rt) {
        this.pen_intt_rt = pen_intt_rt;
    }

    public String getPen_inttcapfrequency() {
        return pen_inttcapfrequency;
    }

    public void setPen_inttcapfrequency(String pen_inttcapfrequency) {
        this.pen_inttcapfrequency = pen_inttcapfrequency;
    }

    public String getProductcode() {
        return productcode;
    }

    public void setProductcode(String productcode) {
        this.productcode = productcode;
    }

    public String getProductdescription() {
        return productdescription;
    }

    public void setProductdescription(String productdescription) {
        this.productdescription = productdescription;
    }

    public String getProductname() {
        return productname;
    }

    public void setProductname(String productname) {
        this.productname = productname;
    }

    public String getSegmentCode() {
        return segmentCode;
    }

    public void setSegmentCode(String segmentCode) {
        this.segmentCode = segmentCode;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDebitComp1Amend() {
        return debitComp1Amend;
    }

    public void setDebitComp1Amend(String debitComp1Amend) {
        this.debitComp1Amend = debitComp1Amend;
    }

    public String getDebitComp2Amend() {
        return debitComp2Amend;
    }

    public void setDebitComp2Amend(String debitComp2Amend) {
        this.debitComp2Amend = debitComp2Amend;
    }

    public String getEffectDateAmend() {
        return effectDateAmend;
    }

    public void setEffectDateAmend(String effectDateAmend) {
        this.effectDateAmend = effectDateAmend;
    }

    public String getGlCodeAmend() {
        return glCodeAmend;
    }

    public void setGlCodeAmend(String glCodeAmend) {
        this.glCodeAmend = glCodeAmend;
    }

    public String getInt_app_methodAmend() {
        return int_app_methodAmend;
    }

    public void setInt_app_methodAmend(String int_app_methodAmend) {
        this.int_app_methodAmend = int_app_methodAmend;
    }

    public String getIntcatdescriptionAmend() {
        return intcatdescriptionAmend;
    }

    public void setIntcatdescriptionAmend(String intcatdescriptionAmend) {
        this.intcatdescriptionAmend = intcatdescriptionAmend;
    }

    public String getIntrateAmend() {
        return intrateAmend;
    }

    public void setIntrateAmend(String intrateAmend) {
        this.intrateAmend = intrateAmend;
    }

    public String getInttcapfrequencyAmend() {
        return inttcapfrequencyAmend;
    }

    public void setInttcapfrequencyAmend(String inttcapfrequencyAmend) {
        this.inttcapfrequencyAmend = inttcapfrequencyAmend;
    }

    public String getInttcategoryAmend() {
        return inttcategoryAmend;
    }

    public void setInttcategoryAmend(String inttcategoryAmend) {
        this.inttcategoryAmend = inttcategoryAmend;
    }

    public String getInttfrequencyAmend() {
        return inttfrequencyAmend;
    }

    public void setInttfrequencyAmend(String inttfrequencyAmend) {
        this.inttfrequencyAmend = inttfrequencyAmend;
    }

    public String getInttmethodAmend() {
        return inttmethodAmend;
    }

    public void setInttmethodAmend(String inttmethodAmend) {
        this.inttmethodAmend = inttmethodAmend;
    }

    public String getMaxDisbrsAmend() {
        return maxDisbrsAmend;
    }

    public void setMaxDisbrsAmend(String maxDisbrsAmend) {
        this.maxDisbrsAmend = maxDisbrsAmend;
    }

    public String getMaxRepayAmend() {
        return maxRepayAmend;
    }

    public void setMaxRepayAmend(String maxRepayAmend) {
        this.maxRepayAmend = maxRepayAmend;
    }

    public String getMaxSancAmtAmend() {
        return maxSancAmtAmend;
    }

    public void setMaxSancAmtAmend(String maxSancAmtAmend) {
        this.maxSancAmtAmend = maxSancAmtAmend;
    }

    public String getMaxTermAmend() {
        return maxTermAmend;
    }

    public void setMaxTermAmend(String maxTermAmend) {
        this.maxTermAmend = maxTermAmend;
    }

    public String getMinDisbrsAmend() {
        return minDisbrsAmend;
    }

    public void setMinDisbrsAmend(String minDisbrsAmend) {
        this.minDisbrsAmend = minDisbrsAmend;
    }

    public String getMinRepayAmend() {
        return minRepayAmend;
    }

    public void setMinRepayAmend(String minRepayAmend) {
        this.minRepayAmend = minRepayAmend;
    }

    public String getMinSancAmtAmend() {
        return minSancAmtAmend;
    }

    public void setMinSancAmtAmend(String minSancAmtAmend) {
        this.minSancAmtAmend = minSancAmtAmend;
    }

    public String getMinTermAmend() {
        return minTermAmend;
    }

    public void setMinTermAmend(String minTermAmend) {
        this.minTermAmend = minTermAmend;
    }

    public String getPen_intt_methodAmend() {
        return pen_intt_methodAmend;
    }

    public void setPen_intt_methodAmend(String pen_intt_methodAmend) {
        this.pen_intt_methodAmend = pen_intt_methodAmend;
    }

    public String getPen_intt_rtAmend() {
        return pen_intt_rtAmend;
    }

    public void setPen_intt_rtAmend(String pen_intt_rtAmend) {
        this.pen_intt_rtAmend = pen_intt_rtAmend;
    }

    public String getPen_inttcapfrequencyAmend() {
        return pen_inttcapfrequencyAmend;
    }

    public void setPen_inttcapfrequencyAmend(String pen_inttcapfrequencyAmend) {
        this.pen_inttcapfrequencyAmend = pen_inttcapfrequencyAmend;
    }

    public String getProductcodeAmend() {
        return productcodeAmend;
    }

    public void setProductcodeAmend(String productcodeAmend) {
        this.productcodeAmend = productcodeAmend;
    }

    public String getProductdescriptionAmend() {
        return productdescriptionAmend;
    }

    public void setProductdescriptionAmend(String productdescriptionAmend) {
        this.productdescriptionAmend = productdescriptionAmend;
    }

    public String getProductnameAmend() {
        return productnameAmend;
    }

    public void setProductnameAmend(String productnameAmend) {
        this.productnameAmend = productnameAmend;
    }

    public String getSegmentCodeAmend() {
        return segmentCodeAmend;
    }

    public void setSegmentCodeAmend(String segmentCodeAmend) {
        this.segmentCodeAmend = segmentCodeAmend;
    }

    public String getStatusAmend() {
        return statusAmend;
    }

    public void setStatusAmend(String statusAmend) {
        this.statusAmend = statusAmend;
    }

    public String getRepayFrequency() {
        return repayFrequency;
    }

    public void setRepayFrequency(String repayFrequency) {
        this.repayFrequency = repayFrequency;
    }

    public String getRepayFrequencyAmend() {
        return repayFrequencyAmend;
    }

    public void setRepayFrequencyAmend(String repayFrequencyAmend) {
        this.repayFrequencyAmend = repayFrequencyAmend;
    }




}
